#import <Foundation/Foundation.h>
#import "MapViewAnnotation.h"
#import "BusStation.h"

@interface BusStop : NSObject

@property (nonatomic, assign) NSInteger reference;
@property (nonatomic, assign) NSInteger bss_id;
@property (nonatomic, assign) BOOL is_arrival;
@property (nonatomic, strong) NSString *time_value;
@property (nonatomic, assign) NSInteger next_day;

@property (nonatomic, strong) NSString *ad_time;
@property (nonatomic, strong) NSString *rt_time;
@property (nonatomic, strong) NSString *option_value;
@property (nonatomic, strong) NSString *address_desc;
@property (nonatomic, strong) NSString *date_string;
@property (nonatomic, strong) BusStation *station;

@property (nonatomic, strong) NSString *ss_time;
@property (nonatomic, strong, readonly) MapViewAnnotation *wrappedAnnotation;

- (BOOL)checkAvailable:(NSString *)serviceDate;
+ (NSArray *)toAnnotations:(NSArray *)stationList;

@end
