//
// CartEntry.h
// GoToBus
//
// Created by iphone development on 7/19/14.
//
//

#import <Foundation/Foundation.h>
#import "Product.h"
#import "PPLBasedCountViewController.h"
#import "RoomBasedCountViewController.h"

@interface CartEntry : NSObject

@property (nonatomic, strong) Product *product;
@property (nonatomic, strong) NSMutableArray *stocks;
@property (nonatomic, strong) NSMutableArray *rooms;
@property (nonatomic, strong) NSMutableDictionary *options;
@property (nonatomic, assign) BOOL isBusHotelPackage;

@property (nonatomic, strong, readwrite) PPLBasedCountData *PPLBasedCountData;
@property (nonatomic, strong, readwrite) NSArray *roomBasedCountDatas;
@property (nonatomic, strong, readonly)  NSArray *serialStocks;
@property (nonatomic, assign, readonly) NSInteger peopleCount;
@property (nonatomic, assign, readonly) NSInteger roomCount;
@property (nonatomic, assign, readonly) NSInteger nightCount;
@property (nonatomic, strong, readonly) NSString *shortDescription;

@end
