//
// FlightInfo.h
// Project
//
// Created by Ziv on 15/11/10.
//
//

#import <Foundation/Foundation.h>

@interface FlightInfo : NSObject <NSCopying>

@property (nonatomic, strong) NSString *arrival_airport;
@property (nonatomic, strong) NSString *arrival_airline;
@property (nonatomic, strong) NSString *arrival_flight;
@property (nonatomic, strong) NSString *arrival_date;
@property (nonatomic, strong) NSString *arrival_hour;
@property (nonatomic, strong) NSString *arrival_minute;
@property (nonatomic, strong) NSString *arrival_am_pm;
@property (nonatomic, strong) NSString *return_airport;
@property (nonatomic, strong) NSString *return_airline;
@property (nonatomic, strong) NSString *return_flight;
@property (nonatomic, strong) NSString *return_date;
@property (nonatomic, strong) NSString *return_hour;
@property (nonatomic, strong) NSString *return_minute;
@property (nonatomic, strong) NSString *return_am_pm;
@property (nonatomic, assign) BOOL is_to_be_advised;
@property (nonatomic, strong) NSString *no_flight_info_memo;

@property (nonatomic, strong, readonly) NSString *shortDescription;
@property (nonatomic, strong, readwrite) NSString *arrivalTime;
@property (nonatomic, strong, readwrite) NSString *returnTime;
@property (nonatomic, strong, readonly) NSString *localizedArrivalDateString;
@property (nonatomic, strong, readonly) NSString *localizedReturnDateString;
@property (nonatomic, assign, readonly) BOOL isExplicit;

- (void)trim;
- (NSString *)innerXML;

@end
