//
// ScheduleStop.h
// Project
//
// Created by 杨殷杭 on 2017/5/11.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "Destination.h"
#import "BusStation.h"

@interface ScheduleStop : NSObject
@property (nonatomic, assign) NSInteger id;
@property (nonatomic, strong) NSString *arrivalTime;
@property (nonatomic, strong) NSString *leavingTime;
@property (nonatomic, assign) BOOL isPickUp;
@property (nonatomic, assign) BOOL isDropOff;
@property (nonatomic, strong) Destination *city;
@property (nonatomic, strong) BusStation *busstation;
@property (nonatomic, strong, readonly) NSString *departureOption;
@property (nonatomic, strong, readonly) NSString *arrivalOption;
@property (nonatomic, assign) NSInteger pickUpPassengerNum;
@property (nonatomic, assign) NSInteger dropOffPassengerNum;
@property (nonatomic, assign) NSInteger checkInPassengerNum;
@property (nonatomic, assign, readonly) NSInteger uncheckedPassengerNum;
@end
