//
// BusCharterWS.h
// Project
//
// Created by Ziv on 16/11/28.
//
//

@import Foundation;
#import "Endpoint.h"

@interface BusCharterWS : NSObject <Endpoint>
// - (NSDictionary *)toParameters;
@end

@interface BusCharterWSResponse : NSObject
@property (nonatomic, assign) BOOL status;
@property (nonatomic, strong) NSString *message;
@end

@interface OrderList : BusCharterWS
@property (nonatomic, assign) NSInteger uId;
@property (nonatomic, strong) NSString *orderCode;
@property (nonatomic, strong) NSString *orderStatus;
@property (nonatomic, strong) NSString *searchEmail;
@property (nonatomic, strong) NSString *firstName;
@property (nonatomic, strong) NSString *lastName;
@property (nonatomic, strong) NSString *fromDate;
@property (nonatomic, strong) NSString *toDate;
@property (nonatomic, assign) BOOL isOrderReport;
@end

@interface OrderListResponse : BusCharterWSResponse
@property (nonatomic, strong) NSArray *charterOrderList;
@end

@interface GrabOrder : BusCharterWS
@property (nonatomic, assign) NSInteger orderId;
@property (nonatomic, assign) NSInteger vendorId;
@end

@interface GrabOrderResponse : BusCharterWSResponse
@end

@interface UpdateOrderStatus : BusCharterWS
@property (nonatomic, assign) NSInteger orderId;
@property (nonatomic, assign) NSInteger orderStatus;
@end

@interface UpdateOrderStatusResponse : BusCharterWSResponse
@end