#import <Foundation/Foundation.h>
#import "User.h"
#import "CreditCard.h"

@interface Sales : NSObject

@property (nonatomic, assign) NSInteger order_id;
@property (nonatomic, strong) NSString *sale_date;
@property (nonatomic, strong) NSString *sale_time;
@property (nonatomic, strong) NSString *customer_name;
@property (nonatomic, strong) NSString *customer_email;
@property (nonatomic, strong) NSString *customer_home_phone;

@property (nonatomic, strong) NSString *order_code;
@property (nonatomic, strong) NSArray *entries;
@property (nonatomic, strong) User *user;
@property (nonatomic, strong) CreditCard *credit_card;
@property (nonatomic, assign) CGFloat payment_total_amount;
@property (nonatomic, strong) NSString *payment_currency_code;

@property (nonatomic, strong, readonly) NSString *localizedPurchaseDateString;

+ (NSArray *)toEntries:(NSArray *)orders;
+ (NSArray *)toStocks:(NSArray *)orders;

@end
